# -*- coding: utf-8 -*-

from typing import List

from fastapi import APIRouter, Depends, HTTPException, Query
from loguru import logger

from app.models.domain.bluetooth import BluetoothUserResponse
from app.schemas.bluetooth import BluetoothCreate

router = APIRouter()


@router.post('/user/{user_id}', response_model=BluetoothUserResponse)
async def create_bluetooth_info(user_id: str, bluetooth_info: List[BluetoothCreate]):
    logger.info(f'{user_id}: {bluetooth_info}')
    response = {'Result': 'success'}

    return response
